---
search:
  tags:
    - Diagnostics
    - GET
seo:
  description: >-
    List recent diagnostic checks. Reference for the GET /api/admin/diagnostics
    endpoint in the Athena Attack/Defence Admin API.
sidebar:
  label: List recent diagnostic checks
  badge: GET
title: List recent diagnostic checks
type: openapi-operation
---
`GET /api/admin/diagnostics`

**Responses**

- `200` — Success
- `401` — Unauthorized
- `422` — Validation failed
- `500` — Unhandled server error

Response example, 200:

```json
[
  {
    "id": "string",
    "teamId": "string",
    "serviceId": "string",
    "operation": "put_flag",
    "status": "pending",
    "requestedBy": "string",
    "dispatchedAt": "2019-08-24T14:15:22Z",
    "finishedAt": "2019-08-24T14:15:22Z"
  }
]
```
